Skip to main content
POST
/
api
/
open-api
/
v1
/
veo
/
frames
Create VEO Frames Video Task
curl --request POST \
  --url https://www.jimiai.com/api/open-api/v1/veo/frames \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "resolution": "720p",
  "orientation": "landscape",
  "first_frame_url": "<string>",
  "last_frame_url": "<string>",
  "images": [
    "<string>"
  ]
}
'
{
  "task_id": "<string>",
  "status": "<string>",
  "model": "<string>",
  "created_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.jimmyai.cn/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
required

Model name (e.g., veo_3_1_fast)

prompt
string
required

Text prompt

resolution
enum<string>

Video resolution

Available options:
720p,
1080p,
4k
orientation
enum<string>

Video orientation

Available options:
landscape,
portrait
first_frame_url
string

URL of the first frame image

last_frame_url
string

URL of the last frame image

images
string[]

Reference image URLs

Response

200 - application/json

Task created successfully

task_id
string
status
string
model
string
created_at
integer<int64>